# Transfers

A record of movement of Items from one Store to another.

## Accepts a Transfer

 - [PATCH /transfers/{id}/Accept](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/patch-transfers-accept.md): Accepting a Transfer is an indication that the Store on the receiving side of the Item movement has been received at the quantities indicated by the accepting quantity.
#### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Accept

## Issues a Transfer

 - [PATCH /transfers/{id}/Issue](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/patch-transfers-issue.md): Issuing a Transfer is an indication that the Store on the sending side of the Item movement has been sent to the Store on the receiving side.
#### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Issue

## Gets Transfers

 - [GET /transfers](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/get-transfers.md): Example use cases
api/v2/transfers?pageNumber=1&pageSize=100&Filter=committed>2024-03-05T06:06:58.529Z&Filter=lastUpdated>2024-03-06&orderBy=committed
will get the first page of transfers where the committed date is later than 2024-03-05T06:06:58.529Z AND the lastUpdated date is later than 2024-03-06T00:00:00Z, ordering by the committed date
/api/v2/transfers?pageNumber=1&pageSize=100&Filter=committed>2024-03-05T06:06:58.529Z&orderBy=committed
will get the first page of transfers where the committed date is later than 2024-03-05T06:06:58.529Z ordering by the committed date.
#### Permission Requirements
- Permission Path: Purchasing > Transfers

## Creates a Transfer

 - [POST /transfers](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/post-transfers.md): #### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Issue

## Add Additional lines to an existing Transfer that has not been committed

 - [POST /transfers/{id}/lines](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/post-transfers-lines.md): #### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Issue

## Updates existing lines of a given Transfer

 - [PATCH /transfers/{id}/lines](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/patch-transfers-lines.md): #### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Issue

## Delete existing lines from a Transfer

 - [DELETE /transfers/{id}/lines](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/delete-transfers-lines.md): #### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Issue

## Gets a Transfer By ID

 - [GET /transfers/{id}](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/get-transfers-byid.md)

## Updates an existing Transfer

 - [PATCH /transfers/{id}](https://developer.yellowdogsoftware.com/rest/fetch/api/transfers/patch-transfers-byid.md): #### Permission Requirements
- Permission Path: Purchasing > Transfers > Transfer Editor > Issue

